/*import 'package:firebase_auth/firebase_auth.dart';
import 'package:firebase_core/firebase_core.dart';
import 'package:flutter/material.dart';
import 'package:google_sign_in/google_sign_in.dart';

class Authentication {
  static Future<FirebaseApp> initializeFirebase(BuildContext context) async {
    FirebaseApp firebaseApp = await Firebase.initializeApp();

    // TODO: Add auto login logic

    return firebaseApp;
  }

  static Future<void> signOut({required BuildContext context}) async {
    try {
      await FirebaseAuth.instance.signOut();
    } catch (e) {
      ScaffoldMessenger.of(context).showSnackBar(
        Authentication.customSnackBar(
          content: 'Error signing out. Try again.',
        ),
      );
    }
  }

  static Future<dynamic> signInWithGoogle(BuildContext context) async {
    print('signInWithGoogle');
    FirebaseAuth auth = FirebaseAuth.instance;
    dynamic userProfile;
    dynamic token;
    try {
      final GoogleSignIn googleSignIn = GoogleSignIn(
          clientId:
              '753850511112-fmc4ros60g9dljoi0ed9sh9dj4hslif6.apps.googleusercontent.com');

      final GoogleSignInAccount? googleSignInAccount =
          await googleSignIn.signIn();

      if (googleSignInAccount != null) {
        final GoogleSignInAuthentication googleSignInAuthentication =
            await googleSignInAccount.authentication;

        final AuthCredential credential = GoogleAuthProvider.credential(
          accessToken: googleSignInAuthentication.accessToken,
          idToken: googleSignInAuthentication.idToken,
        );
        /*print('credential');
      print(credential);
      print('idToken');
      print(googleSignInAuthentication.idToken);
      print('accessToken');
      print(googleSignInAuthentication.accessToken);*/
        token = googleSignInAuthentication.idToken;
        try {
          final UserCredential userCredential =
              await auth.signInWithCredential(credential);
          AdditionalUserInfo? user;
          user = userCredential.additionalUserInfo;
          userProfile = user?.profile;
          //print('user');
          //print(user?.profile);
        } on FirebaseAuthException catch (e) {
          if (e.code == 'account-exists-with-different-credential') {
            ScaffoldMessenger.of(context).showSnackBar(
              Authentication.customSnackBar(
                content: 'La cuenta ya existe con una credencial diferente.',
              ),
            );
          } else if (e.code == 'invalid-credential') {
            ScaffoldMessenger.of(context).showSnackBar(
              Authentication.customSnackBar(
                content:
                    'Ocurrió un error al acceder a las credenciales. Intente nuevamente.',
              ),
            );
          }
          return null;
        } catch (e) {
          ScaffoldMessenger.of(context).showSnackBar(
            Authentication.customSnackBar(
              content:
                  'Se produjo un error al utilizar el inicio de sesión de Google. Intente nuevamente.',
            ),
          );
          return null;
        }

        return {'userProfile': userProfile, 'token': token};
      }
    } catch (e) {
      ScaffoldMessenger.of(context).showSnackBar(
        Authentication.customSnackBar(
          content:
              'Se produjo un error al utilizar el inicio de sesión de Google. Intente nuevamente.',
        ),
      );
      return null;
    }
    return null;
  }

  static SnackBar customSnackBar({required String content}) {
    return SnackBar(
      backgroundColor: Colors.black,
      content: Text(
        content,
        style: const TextStyle(color: Colors.redAccent, letterSpacing: 0.5),
      ),
    );
  }
}
*/