import 'package:ealu_flutter/core/api.dart';
import 'package:ealu_flutter/data/models/LoginModel.dart';

import '../../core/apiResponses.dart';

class RemoteLogin {
  Api api;
  RemoteLogin(this.api);
  Future<LoginModel?> remoteloginUser(dynamic params, dynamic body) async {
    var response = await api.post('', params, body);
    if (response != null) {
      if (response.statusCode == 200) {
        return LoginModel.fromJson(response.data);
      } else {
        if (response.statusCode == 401) {
          throw UnauthorizedException();
        } else if (response.statusCode == 404) {
          throw NotFoundException(message: "xxxx");
        } else {
          throw ServerException();
        }
      }
    }
    return null;
  }
}
